#
# (C) COPYRIGHT International Business Machines Corp. 2017. All Rights Reserved
#  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#-----------------------------------------
# this part of code is to list cells, node and servers, if it is in a managed 
# environment we may have to look for every node in every cell and every server in every node
#-----------------------------------------
cell = AdminConfig.list("Cell")
nodes = AdminConfig.list("Node", cell)
gpgPath=sys.argv[0]
profileName=sys.argv[1]
print "gpgPath is " + gpgPath

nodes = nodes.split(lineSeparator)
for node in nodes:
  nodename = AdminConfig.showAttribute(node, "name")
#print "Node Name is " + nodename
#print "Dmgr node is " + config.dmgrnodename
#print "node is "+node
server = str(AdminConfig.list("Server", node))
ssname = server.split(lineSeparator)
for servers in ssname:
 sname = AdminConfig.showAttribute(servers, "name")
 if sname != "nodeagent":
  if sname !="jmsserver":
   if sname !="dmgr":
 #   print "server is "+ servers
  #  print "profileName is "+ profileName
   # print "find is "+ str(servers.find(profileName))
    if servers.find(profileName) != -1:
     jvm = AdminConfig.list("JavaVirtualMachine", servers)
     sname = AdminConfig.showAttribute(servers, "name")
     prop =[]     
     props = AdminConfig.list('Property', jvm).splitlines()
     #print " props :  " + props
     found ="False"
     for prop in props:
       #print "prop is "+ prop
       if prop.find("rivermine.path.gpg") != -1:
         found="True"
         break; 
     
     attrs = [["name", "rivermine.path.gpg"], ["value", gpgPath]]
     if found=="False":
        AdminConfig.create("Property", jvm, attrs, "systemProperties")
        print " rivermine.path.gpg is now " + gpgPath + " in " + sname + " in Node" + nodename

print " Saving changes  "
AdminConfig.save()
print " Saving done  "
